package handler

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"youngee_b_api/model/http_model"
)

func WrapAddNewSubAccountHandler(ctx *gin.Context) {
	handler := newAddNewSubAccountHandler(ctx)
	baseRun(handler)
}

func newAddNewSubAccountHandler(ctx *gin.Context) *AddNewSubAccountHandler {
	return &AddNewSubAccountHandler{
		req:  http_model.NewRegisterRequest(),
		resp: http_model.NewRegisterResponse(),
		ctx:  ctx,
	}
}

type AddNewSubAccountHandler struct {
	req  *http_model.RegisterRequest
	resp *http_model.CommonResponse
	ctx  *gin.Context
}

func (h *AddNewSubAccountHandler) getRequest() interface{} {
	return h.req
}
func (h *AddNewSubAccountHandler) getContext() *gin.Context {
	return h.ctx
}
func (h *AddNewSubAccountHandler) getResponse() interface{} {
	return h.resp
}
func (h *AddNewSubAccountHandler) run() {
	fmt.Println("AddNewSubAccountHandler Running")
}

func (h *AddNewSubAccountHandler) checkParam() error {
	return nil
}
